PCC_WPMR_Type Union Reference

## Data Fields

struct {
uint32_t WPEN:1
uint32_t __pad0__:7
uint32_t WPKEY:24
} | bit
uint32_t | reg

## Detailed Description

Definition at line 191 of file pcc.h.

## Field Documentation

## __pad0__

uint32_t PCC_WPMR_Type::__pad0__

bit: 1.. 7 Reserved

Definition at line 194 of file pcc.h.

## bit

struct { ... } PCC_WPMR_Type::bit

Structure used for bit access

## reg

uint32_t PCC_WPMR_Type::reg

Type used for register access

Definition at line 197 of file pcc.h.

## WPEN

uint32_t PCC_WPMR_Type::WPEN

bit: 0 Write Protection Enable

Definition at line 193 of file pcc.h.

## WPKEY

uint32_t PCC_WPMR_Type::WPKEY

bit: 8..31 Write Protection Key

Definition at line 195 of file pcc.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/pcc.h